<div class="table-container">
  <mat-form-field id="filter">
    <input matInput type="text" (keyup)="doFilter($event.target.value)" placeholder="filter" >
  </mat-form-field>
  <div class="table-corners">
  <mat-table [dataSource]="dataSource" matSort>
    <ng-container matColumnDef="id">
      <mat-header-cell *matHeaderCellDef mat-sort-header>ID</mat-header-cell>
      <mat-cell *matCellDef="let guest">{{ guest.id }}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="size">
      <mat-header-cell *matHeaderCellDef>Household Size</mat-header-cell>
      <mat-cell *matCellDef="let guest">{{guest.size }}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="date">
      <mat-header-cell *matHeaderCellDef>Confirmed Date</mat-header-cell>
      <mat-cell *matCellDef="let guest">{{guest.date}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="status">
      <mat-header-cell *matHeaderCellDef mat-sort-header>Approved</mat-header-cell>
      <mat-cell *matCellDef="let guest">{{guest.status }}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="weight">
      <mat-header-cell *matHeaderCellDef>Weight</mat-header-cell>
      <mat-cell *matCellDef="let guest">{{guest.weight }}</mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns; sticky: true;"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"(click)="editGuest(row)" [ngClass]="{'selected-row': selectedRow == row.id}"></mat-row>
  </mat-table>
  </div>
  <button mat-raised-button (click)="approveAll()" id="approve-button">Approve All</button>
</div>

